function pfs_close_frames( pfs_struct )
  ## Close pfs stream opened with pfs_open_frames. Removes all temporary
  ## files.
  ##
  ## usage: pfs_close_frames( pfs_struct )
  ##

  if( !isfield( pfs_struct, "PIPE" ) )
    error( "pfs_close_frames: pfs_struct wasn't opened with pfs_open_frames\n" );
  endif

  pfsclose( pfs_struct );

  [err msg] = unlink( pfs_struct.PIPE );
  if( err != 0 )
    message = sprintf( "pfs_close_frames: IO error: %s\n", msg );
    error( message );
  endif
  
endfunction
