function Y = pfs_read_luminance( fileName )
  ## Read hdr image file (formats accepted by pfsin) and return
  ## luminance channel Y.
  ##
  ##  Y = hdr_read_luminance( fileName )
  
    tmp_name = tmpnam();
    [err msg] = mkfifo( tmp_name, 1023 );
    if( err != 0 )
      error( "hdr_read_luminance: %s", msg );
    endif

    unwind_protect
      execStr = sprintf( "pfsin %s >%s", fileName, tmp_name );
      system( execStr, 0, "async" );

      ## Wait until file is created
      while( 1 )
        fid = fopen( tmp_name, "rb" );
        if( fid != -1 )
          break
        endif
        usleep( 100000 );
      endwhile
      fclose( fid );

      Y = pfsread( tmp_name, "Y" );      
    unwind_protect_cleanup
      unlink( tmp_name );
    end_unwind_protect    
    
endfunction
