function [R G B] = pfs_read_rgb( fileName )
  ## Read hdr image file (formats accepted by pfsin) and return R, G,
  ## and B color channels.
  ##
  ##  [R G B] = hdr_read_rgb( fileName )
  
    tmp_name = tmpnam();
    [err msg] = mkfifo( tmp_name, 1023 );
    if( err != 0 )
      error( "hdr_read_rgb: %s", msg );
    endif

    try    
      execStr = sprintf( "pfsin %s >%s", fileName, tmp_name );
      system( execStr, 0, "async" );

      [X Y Z] = pfsread( tmp_name, "X", "Y", "Z" );
    
      [R G B] = pfstransform_colorspace( "XYZ", X, Y, Z, "RGB" );
      
      unlink( tmp_name );
      
    catch
      unlink( tmp_name );
    end_try_catch      
    
endfunction
