function pfs_write_rgb( fileName, R, G, B )
  ## Write an hdr image file (formats accepted by pfsout).
  ## 
  ##  pfs_write_rgb( fileName, R, G, B )
  
    tmp_name = tmpnam();
    [err msg] = mkfifo( tmp_name, 1023 );
    if( err != 0 )
      error( "hdr_write_rgb: %s", msg );
    endif

    try        
      execStr = sprintf( "pfsout %s <%s", fileName, tmp_name );
      system( execStr, 0, "async" );
    
      [X Y Z] = pfstransform_colorspace( "RGB", R, G, B, "XYZ" );   
      pfswrite( tmp_name, "X", X, "Y", Y, "Z", Z );

      unlink( tmp_name );
    catch
      unlink( tmp_name );
    end_try_catch
    
endfunction
