function pfsview( varargin )
  ## Shows set of high-dynamic range matrices using pfsview
  ##
  ## Usage: pfsview( channel )
  ##
  ## channel - a real matrix, or a cell array of real matrixes

  hdr_name = tmpnam();
  execStr = "pfswrite( hdr_name";
  C = varargin{1};
  
  if iscell(C)
    for i=1:length(C)
      chStr = sprintf( ", \"ch%d\", C{%d}", i, i );
      execStr = [ execStr chStr ];
    endfor
  else
    for i=1:length( varargin )
      chStr = sprintf( ", \"ch%d\", varargin{%d}", i, i );
      execStr = [ execStr chStr ];
    endfor
  endif
  execStr = strcat( execStr, " );" );
  eval( execStr );    

  xv = sprintf ("pfsview <%s", hdr_name);
  rm = sprintf ("rm -f %s", hdr_name);

  system (sprintf ("( %s && %s ) > /dev/null 2>&1 &",
                   xv, rm));
endfunction

## TODO: Version of this functions depends on the version of octave used
## It could be automatically recognized in the configure script

# function pfsview( ... )
#   ## Shows set of high-dynamic range matrices using pfsview
#   ##
#   ## Usage: pfsview( channel )
#   ## channel - a real matrix

#   execStr = "pfswrite( hdr_name";
#   va_start();
#   M = list();
#   i = 1;
#   while( nargin-- )
#     M = append( M, va_arg() );
#     chStr = sprintf( ", \"channel%d\", nth( M, %d )", i, i );
#     execStr = [ execStr chStr ];
#     i++;                  
#   endwhile
#   execStr = strcat( execStr, " );" );

#   hdr_name = tmpnam();
#   eval( execStr );

#   xv = sprintf ("pfsview <%s", hdr_name);
#   rm = sprintf ("rm -f %s", hdr_name);

#  system (sprintf ("( %s && %s ) > /dev/null 2>&1 &",
#                   xv, rm));
# endfunction
